# Uses of Class
javax.naming.spi.ResolveResult

Packages that use ResolveResult
Package
Description
javax.naming.spi
Provides the means for dynamically plugging in support for accessing naming and directory services through the `javax.naming` and related packages.

- ## Uses of ResolveResult in javax.naming.spi

  Methods in javax.naming.spi that return ResolveResult
  Modifier and Type
  Method
  Description
  `ResolveResult`
  Resolver.`resolveToClass(String name, Class<? extends Context> contextType)`
  Partially resolves a name.
  `ResolveResult`
  Resolver.`resolveToClass(Name name, Class<? extends Context> contextType)`
  Partially resolves a name.